class Explosion extends GameObject {
  int px, py, sz, life, num;
  
  Explosion(int x, int y, int r, int n, int l) {
    super();
    px = x;
    py = y;
    sz = r;
    num = n;
    life = l;
  }
  
  void step() {
    life--;
    dead = (life <= 0);
  }
  
  void render() {
    pushMatrix();
    pushStyle();
    noStroke();
    translate(px, py);
    for (int i = 0; i < num; i++) {
      float c = random(200, 250);
      fill(c, c-20, 0);
      float r = random(40, 70);
      ellipse(random(-sz, sz), random(-sz, sz), r, r);
    }
    popStyle();
    popMatrix();
  }
  
  void testCollision(GameObject other) {
  }
}

