class SlashDetector {
  int sX, sY, eX, eY;
  boolean slash;
  
  SlashDetector() {
    slash = false;
  }
  
  void press(int x, int y) {
    sX = x;
    sY = y;
    slash = false;
  }
  
  void release(int x, int y) {
    eX = x;
    eY = y;
    
    if (dist(sX, sY, eX, eY) > 50) {
      slash = true;
    }
  }

  boolean getSlash() {
    boolean r = slash;
    slash = false;
    return r;
  }
  
  int getStartX() {
    return sX;
  }

  int getStartY() {
    return sY;
  }  
  
  float getAngle() {
    return atan2(eY-sY, eX-sX);
  }
}

