class Wall extends GameObject {
  int px, py;
  int life;
  GamePlaying parent;

  Wall(int x, int y, GamePlaying p) {
    px = x;
    py = y;
    life = 3;
    parent = p;
  }

  void step() {
    px -= 2;
  }

  void render() {
    pushMatrix();
    pushStyle();
    translate(px, py);
    strokeWeight(3);
    stroke(0, 64, 32);
    fill(0, 128, 64);
    rect(-20, -65, 40, 130);
    popStyle();
    popMatrix();
  }

  void testCollision(GameObject other) {
    other.testCollision(this);
  }
  
  void testCollision(Boot other) {
    if ((abs(other.px - px) < 50) && (other.py >= py - 60) && (other.py <= py + 60)) {
      other.dead = true;
      parent.explosions.add(new Explosion(int(other.px), int(other.py), 20, 3, 5));
      life--;
      if (life <= 0) {
        dead = true;
        parent.explosions.add(new Explosion(px, py, 50, 10, 20));
      }
      boom.trigger();
    }
  }
}

